Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593580 - [abrt] crash in thunderbird-3.0.4-1.fc12: Process /usr/lib/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV) @nsMsgGroupThread::SetMsgHdrAt
Summary: [abrt] crash in thunderbird-3.0.4-1.fc12: Process /usr/lib/thunderbird-3.0/th...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c16c2b92b502e0e893a74694164...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-19 08:26 UTC by Ioan Albescu
Modified: 2010-12-03 14:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 14:33:57 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-19 08:26 UTC, Ioan Albescu
no flags Details

Description Ioan Albescu 2010-05-19 08:26:49 UTC
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/thunderbird-3.0/thunderbird-bin
component: thunderbird
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/thunderbird-3.0/thunderbird-bin
global_uuid: c16c2b92b502e0e893a746941647ffc5c4b60bca
kernel: 2.6.32.11-99.fc12.i686.PAE
package: thunderbird-3.0.4-1.fc12
rating: 4
reason: Process /usr/lib/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Just receive large number of log emails
2. Filter them after subject
3. Delete them

Comment 1 Ioan Albescu 2010-05-19 08:26:56 UTC
Created attachment 415052 [details]
File: backtrace

Comment 2 Chris Campbell 2010-06-03 15:43:18 UTC
#3  <signal handler called>
No symbol table info available.
#4  0x06e8bcd7 in nsMsgGroupThread::SetMsgHdrAt (this=0x6c5ad490, index=0, 
    hdr=0x0)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mailnews/base/src/nsMsgGroupThread.cpp:139
        msgKey = 1817891984
#5  0x06e8be9f in nsMsgGroupThread::RemoveChildHdr (this=0x6c5ad490, child=
    0x6f5edf00, announcer=0x0)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mailnews/base/src/nsMsgGroupThread.cpp:305
        newRootChild = 0x0
        key = 336444
        date = 1274227413
        rv = 3214312332
        threadIndex = 0
#6  0x06e8d5c3 in nsMsgGroupView::OnHdrDeleted (this=0xa3090180, aHdrDeleted=
    0x6f5edf00, aParentKey=4294967295, aFlags=137, aInstigator=0x0)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mailnews/base/src/nsMsgGroupView.cpp:710
        thread = {<nsCOMPtr_base> = {mRawPtr = 0x6c5ad490}, <No data fields>}
        keyDeleted = 336444
        rv = 0
        groupThread = <value optimized out>
        rootDeleted = <value optimized out>
        viewIndexOfThread = 0
#7  0x06f23eba in nsMsgDatabase::NotifyHdrDeletedAll (this=0xb4dfa220, 
    aHdrDeleted=0x6f5edf00, aParentKey=4294967295, aFlags=137, aInstigator=
    0x0)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mailnews/db/msgdb/src/nsMsgDatabase.cpp:724
        iter = 
    {<nsAutoTObserverArray<nsCOMPtr<nsIDBChangeListener>, 0u>::Iterator> = 
    {<nsTObserverArray_base::Iterator_base> = {mPosition = 6, mNext = 0x0}, 
            mArray = @0xb4dfa268}, <No data fields>}
        listener = {<nsCOMPtr_base> = {mRawPtr = 
    0xa3090184}, <No data fields>}
#8  0x06f22327 in nsMsgDatabase::DeleteHeader (this=0xb4dfa220, msg=
    0x6f5edf00, instigator=0x0, commit=0, notify=1)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mailnews/db/msgdb/src/nsMsgDatabase.cpp:1807
        key = 336444
        flags = 137
        threadParent = 4294967295
        ret = 1868488448
        msgHdr = 0x6f5edf00



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Chris Campbell 2010-06-03 15:44:49 UTC
Reproduction steps given, setting keyword and status.

This bug has been triaged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Bug Zapper 2010-11-03 14:36:22 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-12-03 14:33:57 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.